# property

Tag: property
Defines an ivy variable. since 1.3 The optional override attribute enables you to avoid overriding the previous value of the variable, which makes the definition behave like an ant property, which is particularly useful to define default values (values which are used only if they haven't been defined yet).

# Attributes

Attribute | Description | Required
--- | --- | ---
name | the name of the variable to define | Yes
value | the new value the variable must take | Yes
override | true if the previous value (if any) of the variable should overriden, false otherwise | No, defaults to true

# Examples

    <property name="myvar" value="myvalue"/>

Sets the variable myvar to the value myvalue.

    <property name="myvar" value="myvalue" override="false"/>

Sets the variable myvar to the value myvalue only if myvar has not been set yet.